module.exports = {
  parserPreset: 'conventional-changelog-conventionalcommits',
  rules: {
    'header-case': [ 0, 'always', 'sentence-case' ],
    'header-full-stop': [ 1, 'never', '.' ],
    'header-max-length': [ 0, 'always', 100 ],
    'header-min-length': [ 0, 'always', 3 ],
    'type-enum': [
      1,
      'always',
      [
        'feat',     'fix',
        'refactor', 'test',
        'docs',     'chore',
        'release',  'revert',
        'build',    'ci',
        'wip',      'nvm'
      ]
    ],
    'type-case': [ 1, 'always', 'lower-case' ],
    'type-empty': [ 1, 'never' ],
    'type-max-length': [ 0, 'always', Infinity ],
    'type-min-length': [ 0, 'always', 0 ],
    'scope-enum': [ 0, 'always', [] ],
    'scope-case': [ 1, 'always', 'lower-case' ],
    'scope-empty': [ 0, 'never' ],
    'scope-max-length': [ 0, 'always', Infinity ],
    'scope-min-length': [ 0, 'always', 0 ],
    'subject-case': [ 1, 'always', 'sentence-case' ],
    'subject-empty': [ 1, 'never' ],
    'subject-max-length': [ 1, 'always', 100 ],
    'subject-min-length': [ 1, 'always', 3 ],
    'subject-exclamation-mark': [ 0, 'never' ],
    'body-full-stop': [ 0, 'always', '.' ],
    'body-leading-blank': [ 1, 'always' ],
    'body-empty': [ 0, 'never' ],
    'body-max-length': [ 0, 'always', Infinity ],
    'body-max-line-length': [ 0, 'always', Infinity ],
    'body-min-length': [ 0, 'always', 0 ],
    'body-case': [ 1, 'always', 'sentence-case' ],
    'footer-leading-blank': [ 1, 'always' ],
    'footer-empty': [ 0, 'never' ],
    'footer-max-length': [ 0, 'always', Infinity ],
    'footer-max-line-length': [ 0, 'always', Infinity ],
    'footer-min-length': [ 0, 'always', 0 ],
    'references-empty': [ 0, 'never' ],
    'signed-off-by': [ 0, 'always', 'Signed-off-by:' ],
    'trailer-exists': [ 0, 'always', 'Signed-off-by:' ]
  }
}